c      program get_gsas_bragg
      implicit none

      integer maxpts,maxrefs
      parameter (maxpts=15000)
      parameter (maxrefs=10000)
      integer h(maxrefs),k(maxrefs),l(maxrefs),nrefs,npts
      real    Iout(maxrefs),x_bragg(maxrefs),fwhm(maxrefs)
      real    x_obs(maxpts),y_obs(maxpts)

      integer loop,totrefs

      call extsym_to_gsas(maxpts,maxrefs,nrefs,h,k,l,Iout,
     - x_bragg,fwhm,npts,x_obs,y_obs)

      call open_write(10,'testout','.hkl')
      write(10,*) nrefs
      totrefs=nrefs+1
      do loop=1,nrefs
      write(10,1111) totrefs-loop,h(loop),k(loop),l(loop),Iout(loop),
     -            x_bragg(loop),
     -            fwhm(loop)

1111  format(i5,3(i3,1x),3(e10.5,1x))
      enddo
      close(10)


      call open_write(10,'testout','.bragg')
      write(10,*) npts

      do loop=1,npts
      write(10,*) x_obs(loop),y_obs(loop)
      enddo
      close(10)

      end
